Create a new Survey
Security
bearer and appkey
- ProdEUhttps://eu-api.delfi.slb.com/drillplan/msd/v2/surveys
- ProdUShttps://api.delfi.slb.com/drillplan/msd/v2/surveys
- Mock serverhttps://developer.slb.com/_mock/solutions/drillplan/apis/msdapi/v2/surveys
curl -i -X POST \
https://eu-api.delfi.slb.com/drillplan/msd/v2/surveys \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'appkey: YOUR_API_KEY_HERE' \
-H 'slb-data-partition-id: string' \
-d '{
"name": "string",
"wellbore_id": "string",
"survey_type": "DefinitiveSurvey",
"survey_date": "string",
"north_reference": "Grid",
"depth_reference": 0,
"stations": [
{
"md": 0,
"incl": 0,
"azi": 0,
"tvd": 0,
"ns": 0,
"ew": 0,
"tool_code": "string"
}
],
"geomag_settings": {
"declination_date": "2019-08-24T14:15:22Z",
"geomagnetic_model": "string",
"field_strength": 0,
"dip_angle": 0,
"declination": 0
},
"external_tag": "string",
"tie_in": {
"tie_in_survey_id": "string",
"tie_in_md": 0
},
"hole_section": [
{
"name": "string",
"end_md": 0,
"hole_size": 0,
"casing_size": 0
}
]
}'